// F75111_DIODlg.h : header file
//

#if !defined(AFX_F75111_DIODLG_H__E87DD9DA_1F42_4CAB_8415_3B9965E26038__INCLUDED_)
#define AFX_F75111_DIODLG_H__E87DD9DA_1F42_4CAB_8415_3B9965E26038__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "F75111\F75111.h"
#include "afxcmn.h"

/////////////////////////////////////////////////////////////////////////////
// CF75111_DIODlg dialog

class CF75111_DIODlg : public CDialog
{
// Construction
public:
	void FileOpen(CString FilePath);
	void FileSave(CString FilePath);
	BOOL m_IsPermanent;
	LRESULT OnShowTask(WPARAM wParam, LPARAM lParam);
	void DestroyTrayIcon(int nIcon);
	void CreateTrayIcon(int nIcon);
	BOOL m_bShow;
	void SetVisible(BOOL bShow);
	BYTE StringToByte(CString strAddress);
	BOOL CheckDIO_2();
	BOOL CheckDIO_1();
	BOOL CheckDIO_4();
	BOOL CheckDIO_3();
	BOOL m_IsF75111;
	BOOL m_IsWDTLoop;
	BOOL m_IsWDTEnable;
	BYTE DIO_Read();
	void DIO_Write(BYTE dwDataVal);
	int m_CountDown;
	CF75111_DIODlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CF75111_DIODlg)
	enum { IDD = IDD_F75111_DIO_DIALOG };
	CButton	m_CHECK_PermanentWDT;
	CButton	m_CHECK_EnableLoop;
	CButton	m_BTN_Enable_WDT;
	CProgressCtrl	m_Progress_2;
	CProgressCtrl	m_Progress_1;
	int		m_WDT_Timer;


	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CF75111_DIODlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CF75111_DIODlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnCheckDio();
	afx_msg void OnEnableWdt();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	afx_msg void OnEnableLoop();
	afx_msg void OnPermanentWDT();
	afx_msg void OnDisableWdt();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	CProgressCtrl m_Progress_4;
	CProgressCtrl m_Progress_3;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_F75111_DIODLG_H__E87DD9DA_1F42_4CAB_8415_3B9965E26038__INCLUDED_)
